import { Component } from "../..";
export declare class Toggle extends Component {
    $parent: Item;
    init(): void;
}
export declare class Item extends Component {
    $parent: Accordion;
    static components: {
        toggle: typeof Toggle;
    };
}
export interface Options {
    active: number;
    class: string;
}
export declare class Accordion extends Component<Element, Options> {
    static components: {
        item: typeof Item;
    };
    static defaults: {
        active: any;
        class: string;
    };
    $item: Item[];
    init(): void;
    toggle(target: Item): void;
}
export default Accordion;
