import { Component } from "../..";
import { mutate } from "../../core/mutate";
export class Height extends Component {
    init() {
        this.target = this.$element.firstElementChild;
        this.update();
        this.listen();
    }
    listen() {
        window.addEventListener("resize", () => {
            this.update();
        });
    }
    update() {
        let height = `${this.target.offsetHeight}px`;
        mutate(() => {
            var _a;
            if (this.$options.var) {
                let target = (_a = this.$options.varTarget) !== null && _a !== void 0 ? _a : this.$element;
                target.style.setProperty(`--${this.$options.var}`, height);
            }
            else {
                this.$element.style.height = height;
            }
        });
    }
}
export default Height;
