import { Component } from "../..";
export declare class Item extends Component<HTMLElement> {
    top: number;
    right: number;
    bottom: number;
    left: number;
    width: number;
    height: number;
    renderTop: number;
    renderBottom: number;
    prevTop: number;
    prevLeft: number;
    updateOrigin(): void;
    renderPrev(): void;
    render(): void;
}
interface Options {
    animate: boolean;
}
export declare class Masonry extends Component<HTMLElement, Options> {
    static components: {
        item: typeof Item;
    };
    $item: Item[];
    height: number;
    visualHeight: number;
    init(): void;
    listen(): void;
    measure(): void;
    calculate(): void;
    render(): void;
    update(): void;
}
export default Masonry;
