import { Component } from "../..";
export interface Options {
    slack: number;
    slackActive: number;
    slackScrolled: number;
    classActive: string;
    classScrolled: string;
}
export declare class Scrolled extends Component<HTMLElement, Options> {
    static defaults: Options;
    position: number;
    positionAnchor: number;
    isDown: boolean;
    scrollHandler: () => void;
    init(): void;
    update(): void;
    updateScrolled(value: boolean): void;
    updateActive(value: boolean): void;
    destroy(): void;
}
export default Scrolled;
