import { Component } from "../..";
export declare type Edge = "top" | "right" | "bottom" | "left";
export interface Options {
    class?: string;
    offset?: number;
    container?: Window | HTMLElement;
    edge?: Edge;
    containerEdge?: Edge;
}
export declare class Sensor extends Component<HTMLElement, Options> {
    static defaults: Options;
    value: boolean;
    protected updateHandler: () => void;
    init(): void;
    destroy(): void;
    update(): void;
    measure(elRect: DOMRect, ctrRect: DOMRect): boolean;
    mutate(input: boolean): void;
}
export default Sensor;
