import { Component } from "../..";
import * as Sharers from "./urls";
interface Options extends Sharers.SharerOptions {
    type: "copy" | keyof typeof Sharers;
    width?: number;
    height?: number;
}
export declare class Sharer extends Component<Element, Options> {
    static defaults: Partial<Options>;
    static getUrl(data: Options): string;
    protected clickHandler: () => void;
    init(): void;
    destroy(): void;
    action(): void;
    handleCopy(): void;
}
export default Sharer;
