export interface SharerOptions {
    url: string;
    text?: string;
    image?: string;
}
export declare type Sharer = (input: SharerOptions) => string;
/**
 * @see https://developers.facebook.com/docs/plugins/share-button
 */
export declare let facebook: Sharer;
/**
 * @see https://developer.twitter.com/en/docs/twitter-for-websites/web-intents/overview
 */
export declare let twitter: Sharer;
/**
 * @see https://stackoverflow.com/a/33746543/3130281
 */
export declare let linkedin: Sharer;
/**
 * @see https://stackoverflow.com/a/24851347/3130281
 */
export declare let reddit: Sharer;
/**
 * @see https://stackoverflow.com/a/11212220/3130281
 */
export declare let pinterest: Sharer;
