export declare function isObject(input: any): input is object;
/**
 * Checks for basic user-defined objects.
 * @see https://stackoverflow.com/q/68220676/3130281
 */
export declare function isPlainObject(input: any): input is object;
export declare function defaults(target: any, ...sources: any[]): any;
export declare function debounce<T extends (...args: any) => any>(callback: T, time: number): (...args: Parameters<T>) => void;
export declare function throttle<T extends (...args: any) => any>(callback: T, time: number): (...args: Parameters<T>) => void;
