import { Animation } from "../animation";
export interface Options {
    duration: Animation["duration"];
    easing?: Animation["easing"];
    offset?: number;
    target?: HTMLElement;
    interruptible?: boolean;
}
export declare class ScrollAnimation extends Animation {
    start: number;
    end: number;
    constructor(options: Options);
    update(): void;
}
export declare function scrollTo(options: Options): ScrollAnimation;
