import { Component } from "../..";
export class Toggle extends Component {
    init() {
        this.$element.addEventListener("click", () => {
            this.$parent.$parent.toggle(this.$parent);
        });
    }
}
export class Item extends Component {
}
Item.components = {
    toggle: Toggle,
};
export class Accordion extends Component {
    constructor() {
        super(...arguments);
        this.$item = [];
    }
    init() {
        if (typeof this.$options.active === "number") {
            this.toggle(this.$item[this.$options.active - 1]);
        }
    }
    toggle(target) {
        this.$item.forEach((item) => {
            if (item === target) {
                item.$element.classList.toggle(this.$options.class);
            }
            else {
                item.$element.classList.remove(this.$options.class);
            }
        });
    }
}
Accordion.components = {
    item: Item,
};
Accordion.defaults = {
    active: null,
    class: "is-active",
};
export default Accordion;
