import { Component } from "../..";
import { Rail } from "./rail";
import { Screen } from "./screen";
export declare class Next extends Component {
    $parent: Carousel;
    target: Screen;
    init(): void;
    updateTarget(): Screen;
    update(): void;
}
export declare class Prev extends Next {
    updateTarget(): Screen;
}
export declare class Carousel extends Component<Element> {
    static components: {
        rail: typeof Rail;
        next: typeof Next;
        prev: typeof Prev;
    };
    $rail: Rail;
}
export { Rail };
export { Item } from "./item";
export default Carousel;
