export class Screen {
    constructor(options) {
        this.items = options.items;
        this.offset = options.offset;
    }
    left() {
        return this.items[0].location.left;
    }
    right() {
        return this.items[this.items.length - 1].location.right;
    }
    width() {
        return this.right() - this.left();
    }
    anchor(space) {
        let remainder = space - this.width();
        return this.left() - remainder * this.offset;
    }
    activate() { }
    deactivate() { }
}
