import { Component } from "../..";
export interface Options {
    var: string;
    axis: "x" | "y";
    clamp: boolean;
    reference?: Window | Element;
}
export declare class Parallax extends Component<HTMLElement, Options> {
    static defaults: Options;
    reference: Window | Element;
    scrollHandler: () => void;
    init(): void;
    update(): void;
    getValue(): number;
    calculate(elRect: DOMRect, refRect: DOMRect, axis: Options["axis"]): number;
    transform(value: number): number;
    apply(value: number): void;
    destroy(): void;
}
export default Parallax;
