import { Component } from "../..";
export class Toggle extends Component {
    init() {
        this.$element.addEventListener("click", () => {
            this.$parent.toggle(this.$parent.$toggle.indexOf(this));
        });
    }
}
export class Item extends Component {
}
export class Tabs extends Component {
    constructor() {
        super(...arguments);
        this.$item = [];
        this.$toggle = [];
    }
    init() {
        if (typeof this.$options.active === "number") {
            this.toggle(this.$options.active - 1);
        }
    }
    toggle(index) {
        var _a, _b, _c, _d;
        (_a = this.$toggle[this.index]) === null || _a === void 0 ? void 0 : _a.$element.classList.remove(this.$options.class);
        (_b = this.$item[this.index]) === null || _b === void 0 ? void 0 : _b.$element.classList.remove(this.$options.class);
        (_c = this.$toggle[index]) === null || _c === void 0 ? void 0 : _c.$element.classList.add(this.$options.class);
        (_d = this.$item[index]) === null || _d === void 0 ? void 0 : _d.$element.classList.add(this.$options.class);
        this.index = index;
    }
}
Tabs.components = {
    toggle: Toggle,
    item: Item,
};
Tabs.defaults = {
    active: 1,
    class: "is-active",
};
export default Tabs;
