import { injectScript } from "../../utils";
import { Component } from "../..";
export class Tweet extends Component {
    init() {
        // Twitter uses this class to look for tweets.
        this.$element.classList.add("twitter-tweet");
        this.$element.setAttribute("data-lang", this.$options.lang);
        // The tweet URL is inferred from this anchor element.
        this.$element.innerHTML = `<a href="${this.$options.url}"></a>`;
        this.load();
    }
    load() {
        let ctor = this.constructor;
        if (!ctor.injected) {
            injectScript("https://platform.twitter.com/widgets.js");
            ctor.injected = true;
        }
    }
}
Tweet.injected = "twttr" in window;
Tweet.defaults = {
    lang: "en",
};
export default Tweet;
