import { Emitter } from "../../utils/emitter";
declare type TickerEvents = {
    tick: (delta: number) => void;
};
declare class Ticker extends Emitter<TickerEvents> {
    private req;
    private stamp;
    private isActive;
    private handler;
    private schedule;
    private run;
    private start;
    private stop;
    private checkListeners;
    on(...args: Parameters<Emitter<TickerEvents>["on"]>): void;
    off(...args: Parameters<Emitter<TickerEvents>["off"]>): void;
}
export declare let ticker: Ticker;
export {};
